Package org.eclipse.help

# Interface IIndexEntry

All Superinterfaces:
  `IUAElement`

All Known Subinterfaces:
  `IIndexEntry2`

public interface IIndexEntry extends IUAElement
IIndexEntry represents a single entry of the help index. It includes a keyword and related references into help content.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`String`
`getKeyword()`
Returns the keyword that this entry is associated with
`IIndexEntry[]`
`getSubentries()`
Obtains the index subentries contained in the entry.
`ITopic[]`
`getTopics()`
Obtains topics assosiated with this index entry (i.e. keyword).

### Methods inherited from interface org.eclipse.help.IUAElement

`getChildren, isEnabled`

## Method Details

### getKeyword

String getKeyword()
Returns the keyword that this entry is associated with

Returns:
  the keyword

### getTopics

ITopic[] getTopics()
Obtains topics assosiated with this index entry (i.e. keyword).

Returns:
  array of ITopic

### getSubentries

IIndexEntry[] getSubentries()
Obtains the index subentries contained in the entry.

Returns:
  the index subentries